package de.hdm_stuttgart.mi.sd1.test.aufgabe1;

import de.hdm_stuttgart.mi.exam.unitmarking.Marking;
import de.hdm_stuttgart.mi.sd1.aufgabe1.Person;
import org.junit.Assert;
import org.junit.Test;

public class Test_Person {

  @Test @Marking(points = 7)
  public void test_100_anrede() {

    {
      final Person renate = new Person("Renate", "Schulz", Person.weiblich);
      Assert.assertEquals("Sehr geehrte Frau Schulz", renate.getAnrede());
    }

    {
      final Person uwe = new Person("Uwe", "Schick", Person.maennlich);
      Assert.assertEquals("Sehr geehrter Herr Schick", uwe.getAnrede());
    }
  }

  @Test @Marking(points = 3)
  public void test_120_print() {

    {
      final Person renate = new Person("Renate", "Schulz", Person.weiblich);
      Assert.assertEquals("Renate Schulz (w)", renate.toString());
    }

    {
      final Person uwe = new Person("Uwe", "Schick", Person.maennlich);
      Assert.assertEquals("Uwe Schick (m)", uwe.toString());
    }
  }
}
